<?php
if (!defined( 'ABSPATH' )) exit;
add_action( 'wp_ajax_set_position_ad2app_menu1','set_position_ad2app_menu1' );
function set_position_ad2app_menu1(){
    $pos = sanitize_text_field($_REQUEST["pos"]);
    $menu = sanitize_text_field($_REQUEST["menu"]);
    update_option("ad2app_NUM_MENU".$menu."_POS",$pos);
}
add_action( 'wp_ajax_ad2app_list_menu1_item','ad2app_list_menu1_item' );
function ad2app_list_menu1_item(){
    global $wpdb;
    $table_name = $wpdb->prefix . "ad2app_menu";
    $menu = $_REQUEST["menu"];
    $res = $wpdb->get_results("select * from $table_name where menu_menu = $menu order by menu_order");
    $i = -1;
    $f = 0;
    $setting = get_option('app_setting');
    $setting = $setting['app_setting'];
    foreach ($res as $key) {
        $i++;
        ?>
        <li id="1menu<?= $key->menu_id; ?>">
            <div class="alert" style="color:#<?= $setting["clr_act_text"]?>;background-color:#<?= $setting["clr_act_bg"]?>;padding-right:2px;height:40px;padding-top:5px;border:1px solid #<?= $setting["clr_act_text"]?>;">
                <div class="col-md-8 pull-right text-right">
                    <?= esc_html($key->menu_title); ?>
                    <input type="hidden" name="id[]" value="<?php echo $key->menu_id; ?>">
                </div>
                <div class="col-md-4 pull-right text-left">
                    <button onclick="delete_item_menu1_woo(<?php echo $key->menu_id; ?>)" type="button" class="btn btn-danger btn-xs" >حذف</button>
                </div>
            </div>
        </li>
        <?php
    }
}
add_action( 'wp_ajax_ad2app_set_menu1_item','ad2app_set_menu1_item' );
function ad2app_set_menu1_item(){
    $action =$_REQUEST["action_t"];
    $title = $_REQUEST["title"];
    $pic = $_REQUEST["pic"];
    $menu = $_REQUEST["menu"];
    $action_type = $_REQUEST["action_type"];
    global $wpdb;
    $table_name = $wpdb->prefix . "ad2app_menu";
    $max = $wpdb->get_results("SELECT MAX(	menu_order) as max FROM $table_name where menu_menu = 1");
    $m = 1 ;
    if(!is_null($max[0]->max)){
        $m = $max[0]->max + 1;
    }
    $r = $wpdb->query( $wpdb->prepare("INSERT INTO $table_name 
		( menu_title , menu_action , menu_value , menu_pic , menu_menu , menu_order ) 
		VALUES ( %s , %d , %s , %s , %d , %d )", $title,$action,$action_type,$pic,$menu,$m) );
    if($r){
        echo 1;
    }else{
        echo 2;
    }
}
add_action( 'wp_ajax_ad2app_save_order_woo_menu1','ad2app_save_order_woo_menu1' );
function ad2app_save_order_woo_menu1(){
    global $wpdb;
    $table_name = $wpdb->prefix . 'ad2app_menu';
    $r = "";
    $data = (explode("_",sanitize_text_field($_POST["id"]))) ;
    $menu = sanitize_text_field($_POST["menu"]);
    $i = 1;
    foreach($data as $id){
        $r += $wpdb->update( $table_name,
            array( 'menu_order' => $i),
            array( 'menu_id' => $id ), array( '%d' ), array( '%d' ) );
        $i++;
    }
    if($r) echo 1;
}
add_action( 'wp_ajax_ad2app_delete_item_menu1_woo','ad2app_delete_item_menu1_woo' );
function ad2app_delete_item_menu1_woo(){
    $id = $_REQUEST["id"];
    global $wpdb;
    $table_name = $wpdb->prefix . "ad2app_menu";
    $r = $wpdb->query($wpdb->prepare("DELETE FROM $table_name WHERE menu_id = %d" , $id));
    if($r){
        echo "1";
    }else{
        echo "2";
    }
}
add_action( 'wp_ajax_ad2app_update_post_meta', 'ad2app_update_post_meta' ); // wp_ajax_{action}
function ad2app_update_post_meta(){
    $post_id = $_REQUEST['post_id'];
    $meta_key = $_REQUEST['meta_key'];
    $active = $_REQUEST['active'] ;
    echo update_post_meta($post_id,$meta_key,$active);
}
