<?php
/**
 * Created by mr2app.com.
 * User: hani
 * Date: 12/7/17
 * Time: 7:34 AM
 */
if (!defined( 'ABSPATH' )) exit;
$current_url = "//" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
if(isset($_GET['lang_id'])){
	$post = $_GET['lang_id'];
	$post = get_post($post);
	//var_dump($post);
    require_once "term_lang.php";
}
else {
	if ( $_POST['submit'] ) {
		$array = array(
			'post_title'    => $_POST['title'],
			'post_name'     => $_POST['slug'],
			'post_excerpt'  => $_POST['icon'],
			'post_content'  => $_POST['category'],
			'pinged'        => $_POST['direction'],
			'post_password' => $_POST['display'],
			'post_type'     => 'ad2app_lang',
			'post_status'   => 'close',
		);
		if ( wp_insert_post( $array ) ) {
			?>
            <div class="notice notice-success is-dismissible">
                <p> زبان جدید اضافه شد.</p>
            </div>
			<?php
		} else {
			?>
            <div class="notice notice-danger is-dismissible">
                <p> متاسفانه ، به مشکل برخوردیم. مجدد امتحان کنید.</p>
            </div>
			<?php
		}
	}
	if ( isset( $_REQUEST["submit_edit"] ) ) {
		$array = array(
			'ID'            => $_POST['edit_ID'],
			'post_title'    => $_POST['edit_title'],
			'post_name'     => $_POST['edit_slug'],
			'post_excerpt'  => $_POST['edit_icon'],
			'post_content'  => $_POST['edit_category'],
			'pinged'        => $_POST['edit_direction'],
			'post_password' => $_POST['edit_display'],
		);
		if ( wp_update_post( $array ) ) {
			?>
            <div class="notice notice-success is-dismissible">
                <p> پرونده به خوبی ویرایش شد.</p>
            </div>
			<?php
		} else {
			?>
            <div class="notice notice-danger is-dismissible">
                <p> متاسفانه ، به مشکل برخوردیم. مجدد امتحان کنید.</p>
            </div>
			<?php
		}
	}
	if ( isset( $_REQUEST["submit_delete"] ) ) {
		$post_id = $_POST['edit_ID'];
		if ( wp_delete_post( $post_id ) ) {
			?>
            <div class="notice notice-success is-dismissible">
                <p> پرونده به درستی حذف شد.</p>
            </div>
			<?php
		} else {
			?>
            <div class="notice notice-danger is-dismissible">
                <p> متاسفانه ، به مشکل برخوردیم. مجدد امتحان کنید.</p>
            </div>
			<?php
		}
	}
	?>
    <div class="wrap">
        <div class="wp-heading-inline"><h1>افزودن زبان جدید به اپلیکیشن </h1></div>
        <div id="col-container" class="">
            <div id="col-left" style="width: 25%">
                <div class="col-wrap">
                    <div class="form-wrap">
                        <form id="addtag" method="post" action="" class="validate">
                            <div class="form-field ">
                                <label for="tag-name"> عنوان </label>
                                <input type="text" name="title"/>
                                <p>در اپ با این نام نمایش داده می‌شود.</p>
                            </div>
                            <div class="form-field ">
                                <label for="tag-name"> نامک </label>
                                <input type="text" name="slug"/>
                                <p> ترجیحا یک نام انگلیسی بنویسید. مثل FA</p>
                            </div>
                            <div class="form-field  ">
                                <label for="tag-name"> آیکون </label>
                                <input type="hidden" id="txt_url_item_hami" name="icon"/>
                                <img src="http://placehold.it/64x64" style="height:64px;cursor: pointer"
                                     id="div_image_item_hami">
                            </div>
                            <div class="form-field">
                                <label for="tag-name"> جهت نمایش </label>
                                <select id="product_cat" required="required" name="direction" title="انتخاب کنید...">
                                    <option value="rtl" style="text-align:right;"> راست چین</option>
                                    <option value="ltr" style="text-align:right;"> چپ چین</option>
                                </select>
                            </div>
                            <div class="form-field">
                                <label for="tag-name"> دسته خود را انتخاب کنید </label>
                                <select id="product_cat" required="required" name="category" title="انتخاب کنید...">
                                    <option value="0"> --------- دسته مناسب انتخاب کنید ----------------</option>
									<?php
									$args = array(
										'hide_empty' => 0,
										'taxonomy'   => 'category'
									);
									$cats = get_categories( $args );
									foreach ( $cats as $cat ) {
										?>
                                        <option value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
										<?php
									}
									?>
                                </select>
                                <p>
                                    دسته بندی مورد نظر برای والد زبان.
                                </p>
                            </div>

                            <div class="form-field">
                                <label for="tag-name"> نمایش / مخفی </label>
                                <select id="product_cat" required="required" name="display" title="انتخاب کنید...">
                                    <option value="show" style="text-align:right;"> نمایش</option>
                                    <option value="hidden" style="text-align:right;"> مخفی</option>
                                </select>
                            </div>
                            <p class="submit">
                                <input type="submit" name="submit" class="button button-primary" value="ذخیره"/>
                            </p>
                        </form>
                    </div>
                </div>
            </div>
            <div id="col-right" style="width: 75%">
                <div class="col-wrap ">
                    <table class="wp-list-table widefat fixed striped tags ui-sortable ">
                        <thead>
                        <tr>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> آیکون </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> عنوان </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> نامک </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> جهت نمایش </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> دسته بندی </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span> نمایش /مخفی </span>
                            </th>
                            <th scope="col" id='name' class='manage-column column-name '>
                                <span style="cursor: pointer"> ویرایش / حذف </span>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
						<?php
						$args      = array(
							'post_type'   => 'ad2app_lang',
							'post_status' => 'close'
						);
						$the_query = get_posts( $args );
						//var_dump($the_query);
						foreach ( $the_query as $value ) {
							?>
                            <tr id="tag-<?= $value->ID; ?>" style="cursor: move" class="<?= 'tag-' . $value->ID; ?>">
                                <form action="" onsubmit="return confirm('Do you really want to submit the form?');"
                                      method="post" id="form_<?= $value->ID ?>">
                                    <input type="hidden" name="edit_ID" value="<?= $value->ID; ?>">
                                    <td>
                                        <input type="hidden" value="<?= $value->post_excerpt; ?>" name="edit_icon"
                                               id="icon_<?= $value->ID; ?>"/>
                                        <img src="<?= $value->post_excerpt; ?>" id="img_edit_<?= $value->ID; ?>"
                                             onclick="open_image_library('<?= $value->ID; ?>')"
                                             style="height:64px;width: 64px"/>
                                    </td>
                                    <td class='name column-name has-row-actions column-primary' data-colname="نام">
                                        <p><strong><a style="direction: rtl" class="row-title"
                                                      href="<?= $current_url . '&lang_id=' . $value->ID; ?>"> <?= $value->post_title; ?>  </a></strong>
                                        </p>
                                        <input class="el_edit el_edit_<?= $value->ID; ?>"
                                               value="<?= $value->post_title; ?>" name="edit_title"
                                               style="width:80px;display: none" type="text" placeholder="عنوان">
                                    </td>
                                    <td class='description column-description'>
                                        <p><?= $value->post_name; ?> </p>
                                        <input class="el_edit el_edit_<?= $value->ID; ?>"
                                               value="<?= $value->post_name; ?>" name="edit_slug"
                                               style="width:80px;display: none" type="text" placeholder="نامک">
                                    </td>
                                    <td class='description column-description'>
                                        <p>
											<?php
											if ( $value->pinged == "rtl" ) {
												echo "راست چین";
											} elseif ( $value->pinged == "ltr" ) {
												echo "چپ چین";
											}
											?>
                                        </p>
                                        <select class="el_edit el_edit_<?= $value->ID; ?>" name="edit_direction"
                                                style="display: none" title="انتخاب کنید...">
                                            <option <?= ( 'rtl' == $value->post_password ) ? 'selected' : '' ?>
                                                    value="rtl" style="text-align:right;"> راست چین
                                            </option>
                                            <option <?= ( 'ltr' == $value->post_password ) ? 'selected' : '' ?>
                                                    value="ltr" style="text-align:right;"> چپ چین
                                            </option>
                                        </select>
                                    </td>
                                    <td class='description column-description'>
                                        <p><?php
											$lang_cat = get_the_category( $value->post_content );
											echo $lang_cat[0]->name;
											?> </p>
                                        <div class="el_edit el_edit_<?= $value->ID; ?>" style="display: none">
                                            <select style="width: 80%" name="edit_category" title="انتخاب کنید...">
                                                <option value="" style="text-align:right;">دسته خود را انتخاب کنید
                                                </option>
												<?php
												foreach ( $cats as $cat ) {
													?>
                                                    <option <?= ( $cat->term_id == $value->post_content ) ? 'selected' : '' ?>
                                                            value="<?= $cat->term_id; ?>"><?= $cat->name; ?></option>
													<?php
												}
												?>
                                            </select>
                                        </div>
                                    </td>
                                    <td class='description column-description'>
                                        <p><?php
											if ( $value->post_password == "show" ) {
												echo "نمایش";
											} elseif ( $value->post_password == "hidden" ) {
												echo "مخفی";
											}
											?>
                                        </p>
                                        <select class="el_edit el_edit_<?= $value->ID; ?>" name="edit_display"
                                                style="display: none" title="انتخاب کنید...">
                                            <option <?= ( 'show' == $value->post_password ) ? 'selected' : '' ?>
                                                    value="show" style="text-align:right;"> نمایش
                                            </option>
                                            <option <?= ( 'hidden' == $value->post_password ) ? 'selected' : '' ?>
                                                    value="hidden" style="text-align:right;"> مخفی
                                            </option>
                                        </select>
                                    </td>
                                    <td class='description column-description'>

                                        <a style="cursor: pointer" class="button button-primary"
                                           onclick="show_edit('<?= $value->ID; ?>')">ویرایش</a>

                                        <input type="submit" name="submit_delete" class="button button-danger"
                                               value="حذف">

                                        <div class="el_edit_<?= $value->ID; ?>" style="display: none">
                                            <input type="submit" name="submit_edit" class="button button-primary"
                                                   value="ثبت">
                                            <a style="cursor:pointer" onclick="hide_edit('<?= $value->ID; ?>')"
                                               class="button button-default"> لغو </a>
                                        </div>
                                    </td>
                                </form>
                            </tr>

							<?php
						}
						?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

	<?php
}
wp_enqueue_script( 'jquery-ui.js' , WOO2APP_JS_URL.'jquery-ui.js', array('jquery'));
?>
<script>


    function show_edit(id) {
        jQuery(".el_edit_" + id).attr('style' , 'display:block;width:80px');
    }
    function hide_edit(id) {
        jQuery(".el_edit_" + id).attr('style' , 'display:none');
    }
    function delete_category(id) {
        if (confirm('Do you want to submit?')) {
            jQuery("#form_" + id).submit();
        } else {
            return false;
        }
    }

</script>
<?php wp_enqueue_media();?>
<script>
    var custom_uploader_hami;
    function open_image_library(id){
        //e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#icon_' + id).val(attachment.url);
            url_image = attachment.url;


            jQuery('#img_edit_' + id).attr("src",url_image);
        });
        custom_uploader_hami.open();
    }

    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;


            jQuery('#div_image_item_hami').attr("src",url_image);
        });
        custom_uploader_hami.open();
    })


</script>


